---
sidebar_label: PuppeteerLaunchOptions
---

# PuppeteerLaunchOptions interface

#### Signature:

```typescript
export interface PuppeteerLaunchOptions extends LaunchOptions, BrowserLaunchArgumentOptions, BrowserConnectOptions
```

**Extends:** [LaunchOptions](./puppeteer.launchoptions.md), [BrowserLaunchArgumentOptions](./puppeteer.browserlaunchargumentoptions.md), [BrowserConnectOptions](./puppeteer.browserconnectoptions.md)

## Properties

| Property          | Modifiers             | Type                              | Description | Default |
| ----------------- | --------------------- | --------------------------------- | ----------- | ------- |
| extraPrefsFirefox | <code>optional</code> | Record&lt;string, unknown&gt;     |             |         |
| product           | <code>optional</code> | [Product](./puppeteer.product.md) |             |         |
